<template>
  <v-card>
    <v-card-title>
      <v-icon large left>mdi-git</v-icon>
      Recent Git Activity
    </v-card-title>
    <v-card-text>
      <v-list dense>
        <v-list-item-group color="primary">
          <v-list-item
            v-for="(commit, index) in recentCommits"
            :key="index"
            @click="showCommitDetails(commit)"
          >
            <v-list-item-avatar color="blue">
              <v-icon>mdi-git-commit</v-icon>
            </v-list-item-avatar>

            <v-list-item-content>
              <v-list-item-title>{{ commit.message }}</v-list-item-title>
              <v-list-item-subtitle>
                {{ commit.author }} - {{ formatDate(commit.date) }}
              </v-list-item-subtitle>
            </v-list-item-content>

            <v-list-item-action>
              <v-chip small label color="green" v-if="commit.status === 'success'">
                Success
              </v-chip>
              <v-chip small label color="red" v-else>
                Failed
              </v-chip>
            </v-list-item-action>
          </v-list-item>
        </v-list-item-group>
      </v-list>

      <v-pagination
        v-model="page"
        :length="totalPages"
        circle
      ></v-pagination>
    </v-card-text>

    <v-dialog v-model="detailsDialog" max-width="600px">
      <v-card>
        <v-card-title class="headline">Commit Details</v-card-title>
        <v-card-text>
          <div><strong>Message:</strong> {{ selectedCommit.message }}</div>
          <div><strong>Author:</strong> {{ selectedCommit.author }}</div>
          <div><strong>Date:</strong> {{ formatDate(selectedCommit.date) }}</div>
          <div><strong>Status:</strong> {{ selectedCommit.status }}</div>
          <!-- Add more details if necessary -->
        </v-card-text>
        <v-card-actions>
          <v-btn color="blue darken-1" text @click="detailsDialog = false">Close</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-card>
</template>

<script>
export default {
  data() {
    return {
      recentCommits: [], // Populate with actual Git commit data
      detailsDialog: false,
      selectedCommit: {},
      page: 1,
      totalPages: 5 // Calculate based on actual data
    };
  },
  methods: {
    formatDate(date) {
      return new Date(date).toLocaleString(); // Format date as needed
    },
    showCommitDetails(commit) {
      this.selectedCommit = commit;
      this.detailsDialog = true;
    }
  },
  mounted() {
    // Fetch Git activity data
  }
};
</script>

<style scoped>
/* Custom styles */
</style>
